import { CredentialsNode, NormalNode, CreateInviceNode, UploadInvoiceNode} from "@/components/approval-node"
import { SettlementBudgetLetter, ActivityScheme } from "@/components/manage"
import { TableEditor } from "@/components/tableEditor"

import searchComponents from "@/components/search"

import detailComponents from "@/components/data-table"

const components = [
  NormalNode,
  CredentialsNode,
  CreateInviceNode,
  UploadInvoiceNode,

  TableEditor,

  SettlementBudgetLetter,
  ActivityScheme
]

export const setupComponets = function(app){
  [
    ...components,
    ...searchComponents,
    ...detailComponents
  ].forEach(component => {
    app.component(component.name,component)
  })
}
